var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconCircularGraphComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-circular-graph").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 21 20" }, rest, { ref: ref }),
        React.createElement("path", { fillRule: "evenodd", d: "M10.25 3.25A6.75 6.75 0 1 0 17 10a.75.75 0 0 1 1.5 0 8.25 8.25 0 1 1-8.25-8.25.75.75 0 0 1 0 1.5Zm2.246-.447a.75.75 0 0 1 .984-.397 8.274 8.274 0 0 1 4.483 4.661.75.75 0 1 1-1.402.533 6.775 6.775 0 0 0-3.669-3.813.75.75 0 0 1-.396-.984ZM8.083 10a2.167 2.167 0 1 1 4.334 0 2.167 2.167 0 0 1-4.334 0Zm2.167-3.667a3.667 3.667 0 1 0 0 7.334 3.667 3.667 0 0 0 0-7.334Z", clipRule: "evenodd" }));
}
var IconCircularGraph = React.forwardRef(IconCircularGraphComponent);
export default IconCircularGraph;
